xiuno4.0.4不支持php7.4及以上高版本PHP的解决方法

admin 管理员组 5月前 252

1、把xiunophp. php和xiunophp.min.php文件中

$get_magic_quotes_gpc = get_magic_quotes_gpc()

改成$get_magic_quotes_gpc = 0

2、把xn_html_safe.func.php文件中

785行,938行,951行,这三行的rawtext{}的括号改为[],因为高版本的数组不支持用{}括号了。

实测PHP7.4和PHP8.0可以正常使用。

没事瞎逛,看到这个教程,转过来记录下。万一以后有用呢?

看过本帖的人 (4)
  • vegbao
  • q1714156983
  • wc011022
  • marks
最新回复 (2)
  • 997062592 18天前
    0 引用 2
    插眼插眼插眼插眼插眼插眼
  • marks 12天前
    0 引用 3
    平时只看不回,到现在才发现,和很多金币擦肩而过了。
返回